Back to top

API Documentation

< Back

Kuali Research REST APIs - Institutional Proposal

Research Institutional Proposal

Institutional Proposal Document

Insert Institutional Proposal Document
POST/instprop/api/v1/institutional-proposal-document/

Example URI

POST /instprop/api/v1/institutional-proposal-document/
URI Parameters
HideShow
createProposalLog
boolean (optional) 

Flag to determine whether to create and associate a Proposal Log. If not present, defaults false.

route
boolean (optional) 

Flag to determine if it will automatically submit the created maintenance document into routing. If not present, defaults false.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sponsorProposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "proposalTypeCode": "(val)",
    "currentAccountNumber": "(val)",
    "title": "(val)",
    "sponsorCode": "(val)",
    "rolodexId": "(val)",
    "noticeOfOpportunityCode": "(val)",
    "gradStudHeadcount": "(val)",
    "gradStudPersonMonths": null,
    "typeOfAccount": "(val)",
    "activityTypeCode": "(val)",
    "requestedStartDateInitial": "(val)",
    "requestedStartDateTotal": "(val)",
    "requestedEndDateInitial": "(val)",
    "requestedEndDateTotal": "(val)",
    "fiscalMonth": "(val)",
    "fiscalYear": "(val)",
    "totalDirectCostInitial": "(val)",
    "totalDirectCostTotal": "(val)",
    "totalIndirectCostInitial": "(val)",
    "totalIndirectCostTotal": "(val)",
    "numberOfCopies": "(val)",
    "deadlineDate": "(val)",
    "deadlineTime": "(val)",
    "createTimestamp": "(val)",
    "deadlineType": "(val)",
    "mailBy": "(val)",
    "mailType": "(val)",
    "mailAccountNumber": "(val)",
    "mailDescription": "(val)",
    "subcontractFlag": "(val)",
    "costSharingIndicator": "(val)",
    "idcRateIndicator": "(val)",
    "specialReviewIndicator": "(val)",
    "statusCode": "(val)",
    "unitNumber": "(val)",
    "scienceCodeIndicator": "(val)",
    "nsfSequenceNumber": "(val)",
    "primeSponsorCode": "(val)",
    "primeSponsor": "(val)",
    "initialContractAdmin": "(val)",
    "ipReviewActivityIndicator": "(val)",
    "currentAwardNumber": "(val)",
    "cfdaNumber": "(val)",
    "opportunity": "(val)",
    "awardTypeCode": "(val)",
    "newDescription": "(val)",
    "proposalSequenceStatus": "(val)",
    "instProposalNumber": "(val)",
    "docNbr": "(val)",
    "docStatus": "(val)",
    "documentDescription": "(val)",
    "persons": [
        {
            "personId": "(val)",
            "roleCode": "(val)",
            "keyPersonRole": "(val)",
            "rolodexId": "(val)",
            "fullName": "(val)",
            "academicYearEffort": "(val)",
            "calendarYearEffort": "(val)",
            "faculty": "(val)",
            "summerEffort": "(val)",
            "totalEffort": "(val)",
            "institutionalProposalContactId": "(val)",
            "creditSplits": [
                {
                    "institutionalProposalPersonCreditSplitId": "(val)",
                    "credit": "(val)",
                    "investigatorCreditType": {
                        "code": "(val)",
                        "addsToHundred": "(val)",
                        "active": "(val)",
                        "description": "(val)"
                    }
                }
            ],
            "units": [
                {
                    "institutionalProposalPersonUnitId": "(val)",
                    "leadUnit": "(val)",
                    "unitNumber": "(val)",
                    "creditSplits": [
                        {
                            "institutionalProposalPersonUnitCreditSplitId": "(val)",
                            "credit": "(val)",
                            "investigatorCreditType": {
                                "code": "(val)",
                                "addsToHundred": "(val)",
                                "active": "(val)",
                                "description": "(val)"
                            }
                        }
                    ]
                }
            ]
        }
    ],
    "customData": [
        {
            "customAttributeId": "(val)",
            "value": "(val)"
        }
    ],
    "specialReviews": [
        {
            "specialReviewNumber": "(val)",
            "specialReviewTypeCode": "(val)",
            "approvalTypeCode": "(val)",
            "protocolNumber": "(val)",
            "applicationDate": "(val)",
            "approvalDate": "(val)",
            "expirationDate": "(val)",
            "comments": "(val)",
            "protocolStatus": "(val)"
        }
    ],
    "ipCostShares": [
        {
            "proposalCostShareId": "(val)",
            "projectPeriod": "(val)",
            "costSharePercentage": "(val)",
            "costShareTypeCode": "(val)",
            "sourceAccount": "(val)",
            "amount": "(val)",
            "unitNumber": "(val)"
        }
    ],
    "ipComments": [
        {
            "proposalCommentsId": "(val)",
            "proposalId": "(val)",
            "commentTypeCode": "(val)",
            "comments": "(val)"
        }
    ],
    "IpUnrecoveredFandAs": [
        {
            "proposalUnrecoveredFandAId": "(val)",
            "applicableIndirectcostRate": "(val)",
            "indirectcostRateTypeCode": "(val)",
            "fiscalYear": "(val)",
            "onCampusFlag": "(val)",
            "underrecoveryOfIndirectcost": "(val)",
            "sourceAccount": "(val)"
        }
    ],
    "ipFandAs": [
        {
            "proposalId": "(val)",
            "proposalFandARateId": "(val)",
            "fiscalYear": "(val)",
            "onOffCampusFlag": "(val)",
            "rateClassCode": "(val)",
            "rateTypeCode": "(val)",
            "startDate": "(val)",
            "instituteRate": "(val)",
            "applicableRate": "(val)",
            "activityTypeCode": "(val)",
            "amount": "(val)"
        }
    ],
    "proposalCfdas": [
        {
            "cfdaNumber": "(val)",
            "cfdaDescription": "(val)"
        }
    ],
Response  201
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
(Document Number)

Delete Institutional Proposal Document by Document Number
DELETE/instprop/api/v1/institutional-proposal-document/(documentNumber)

Example URI

DELETE /instprop/api/v1/institutional-proposal-document/(documentNumber)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8

Get Institutional Proposal Document by Document Number
GET/instprop/api/v1/institutional-proposal-document/(documentNumber)

Example URI

GET /instprop/api/v1/institutional-proposal-document/(documentNumber)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sponsorProposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "proposalTypeCode": "(val)",
    "currentAccountNumber": "(val)",
    "title": "(val)",
    "sponsorCode": "(val)",
    "sponsor": {
        "sponsorCode": "(val)",
        "sponsorName": "(val)",
        "acronym": "(val)",
        "nih": "(val)",
        "kcoiPhs": "(val)",
        "sponsorType": {
            "code": "(val)",
            "description": "(val)"
        }
    },
    "rolodexId": "(val)",
    "noticeOfOpportunityCode": "(val)",
    "gradStudHeadcount": "(val)",
    "gradStudPersonMonths": "(val)",
    "typeOfAccount": "(val)",
    "activityTypeCode": "(val)",
    "requestedStartDateInitial": "(val)",
    "requestedStartDateTotal": "(val)",
    "requestedEndDateInitial": "(val)",
    "requestedEndDateTotal": "(val)",
    "fiscalMonth": "(val)",
    "fiscalYear": "(val)",
    "totalDirectCostInitial": "(val)",
    "totalDirectCostTotal": "(val)",
    "totalIndirectCostInitial": "(val)",
    "totalIndirectCostTotal": "(val)",
    "numberOfCopies": "(val)",
    "deadlineDate": "(val)",
    "deadlineTime": "(val)",
    "createTimestamp": "(val)",
    "deadlineType": "(val)",
    "mailBy": "(val)",
    "mailType": "(val)",
    "mailAccountNumber": "(val)",
    "mailDescription": "(val)",
    "subcontractFlag": "(val)",
    "costSharingIndicator": "(val)",
    "idcRateIndicator": "(val)",
    "specialReviewIndicator": "(val)",
    "statusCode": "(val)",
    "unitNumber": "(val)",
    "scienceCodeIndicator": "(val)",
    "nsfSequenceNumber": "(val)",
    "primeSponsorCode": "(val)",
    "primeSponsor": "(val)",
    "initialContractAdmin": "(val)",
    "ipReviewActivityIndicator": "(val)",
    "currentAwardNumber": "(val)",
    "cfdaNumber": "(val)",
    "opportunity": "(val)",
    "awardTypeCode": "(val)",
    "newDescription": "(val)",
    "proposalSequenceStatus": "(val)",
    "instProposalNumber": "(val)",
    "docNbr": "(val)",
    "docStatus": "(val)",
    "documentDescription": "(val)",
    "persons": [
        {
            "personId": "(val)",
            "roleCode": "(val)",
            "keyPersonRole": "(val)",
            "rolodexId": "(val)",
            "fullName": "(val)",
            "academicYearEffort": "(val)",
            "calendarYearEffort": "(val)",
            "faculty": "(val)",
            "summerEffort": "(val)",
            "totalEffort": "(val)",
            "institutionalProposalContactId": "(val)",
            "creditSplits": [
                {
                    "institutionalProposalPersonCreditSplitId": "(val)",
                    "credit": "(val)",
                    "investigatorCreditType": {
                        "code": "(val)",
                        "addsToHundred": "(val)",
                        "active": "(val)",
                        "description": "(val)"
                    }
                }
            ],
            "units": [
                {
                    "institutionalProposalPersonUnitId": "(val)",
                    "leadUnit": "(val)",
                    "unitNumber": "(val)",
                    "unit": {
                        "unitNumber": "(val)",
                        "parentUnitNumber": "(val)",
                        "organizationId": "(val)",
                        "unitName": "(val)",
                        "organization": {
                            "organizationId": "(val)",
                            "organizationName": "(val)",
                            "address": "(val)",
                            "federalEmployerId": "(val)",
                            "dunsNumber": "(val)",
                            "uei": "(val)",
                            "contact": {
                                "rolodexId": "(val)",
                                "addressLine1": "(val)",
                                "addressLine2": "(val)",
                                "addressLine3": "(val)",
                                "city": "(val)",
                                "comments": "(val)",
                                "countryCode": "(val)",
                                "county": "(val)",
                                "deleteFlag": "(val)",
                                "emailAddress": "(val)",
                                "faxNumber": "(val)",
                                "firstName": "(val)",
                                "lastName": "(val)",
                                "middleName": "(val)",
                                "organization": "(val)",
                                "ownedByUnit": "(val)",
                                "phoneNumber": "(val)",
                                "postalCode": "(val)",
                                "prefix": "(val)",
                                "sponsorAddressFlag": "(val)",
                                "sponsorCode": "(val)",
                                "sponsor": {
                                    "sponsorCode": "(val)",
                                    "sponsorName": "(val)",
                                    "acronym": "(val)",
                                    "nih": "(val)",
                                    "kcoiPhs": "(val)",
                                    "sponsorType": {
                                        "code": "(val)",
                                        "description": "(val)"
                                    }
                                },
                                "state": "(val)",
                                "suffix": "(val)",
                                "title": "(val)",
                                "createUser": "(val)",
                                "active": "(val)"
                            },
                            "organizationTypes": [
                                {
                                    "organizationId": "(val)",
                                    "organizationTypeCode": "(val)",
                                    "organizationTypeList": {
                                        "code": "(val)",
                                        "description": "(val)"
                                    }
                                }
                            ]
                        }
                    },
                    "creditSplits": [
                        {
                            "institutionalProposalPersonCreditSplitId": "(val)",
                            "credit": "(val)",
                            "investigatorCreditType": {
                                "code": "(val)",
                                "addsToHundred": "(val)",
                                "active": "(val)",
                                "description": "(val)"
                            }
                        }
                    ]
                }
            ]
        }
    ],
    "customData": [
        {
            "customAttributeId": "(val)",
            "value": "(val)"
        }
    ],
    "specialReviews": [
        {
            "specialReviewNumber": "(val)",
            "specialReviewTypeCode": "(val)",
            "approvalTypeCode": "(val)",
            "protocolNumber": "(val)",
            "applicationDate": "(val)",
            "approvalDate": "(val)",
            "expirationDate": "(val)",
            "comments": "(val)",
            "protocolStatus": "(val)"
        }
    ],
    "ipCostShares": [
        {
            "proposalCostShareId": "(val)",
            "projectPeriod": "(val)",
            "costSharePercentage": "(val)",
            "costShareTypeCode": "(val)",
            "sourceAccount": "(val)",
            "amount": "(val)",
            "unitNumber": "(val)"
        }
    ],
    "ipComments": [
        {
            "proposalCommentsId": "(val)",
            "proposalId": "(val)",
            "commentTypeCode": "(val)",
            "comments": "(val)"
        }
    ],
    "IpUnrecoveredFandAs": [
        {
            "proposalUnrecoveredFandAId": "(val)",
            "applicableIndirectcostRate": "(val)",
            "indirectcostRateTypeCode": "(val)",
            "fiscalYear": "(val)",
            "onCampusFlag": "(val)",
            "underrecoveryOfIndirectcost": "(val)",
            "sourceAccount": "(val)"
        }
    ],
    "ipFandAs": [
        {
            "proposalId": "(val)",
            "proposalFandARateId": "(val)",
            "fiscalYear": "(val)",
            "onOffCampusFlag": "(val)",
            "rateClassCode": "(val)",
            "rateTypeCode": "(val)",
            "startDate": "(val)",
            "instituteRate": "(val)",
            "applicableRate": "(val)",
            "activityTypeCode": "(val)",
            "amount": "(val)"
        }
    ],
    "proposalCfdas": [
        {
            "cfdaNumber": "(val)",
            "cfdaDescription": "(val)"
        }
    ],

Insert Institutional Proposal Person
POST/instprop/api/v1/institutional-proposal-document/(documentNumber)/proposal-persons

Example URI

POST /instprop/api/v1/institutional-proposal-document/(documentNumber)/proposal-persons
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "personId": "(val)",
  "roleCode": "(val)",
  "keyPersonRole": "(val)",
  "rolodexId": "(val)",
  "fullName": "(val)",
  "academicYearEffort": "(val)",
  "calendarYearEffort": "(val)",
  "faculty": "(val)",
  "summerEffort": "(val)",
  "totalEffort": "(val)",
  "institutionalProposalContactId": "(val)",
  "creditSplits": [
    {
      "institutionalProposalPersonCreditSplitId": "(val)",
      "credit": "(val)",
      "investigatorCreditType": {
        "code": "(val)",
        "addsToHundred": "(val)",
        "active": "(val)",
        "description": "(val)"
      }
    }
  ],
  "units": [
    {
      "institutionalProposalPersonUnitId": "(val)",
      "leadUnit": "(val)",
      "unitNumber": "(val)",
      "creditSplits": [
        {
          "institutionalProposalPersonCreditSplitId": "(val)",
          "credit": "(val)",
          "investigatorCreditType": {
            "code": "(val)",
            "addsToHundred": "(val)",
            "active": "(val)",
            "description": "(val)"
          }
        }
      ]
    }
  ]
}
Response  201
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "personId": "(val)",
    "roleCode": "(val)",
    "keyPersonRole": "(val)",
    "rolodexId": "(val)",
    "fullName": "(val)",
    "academicYearEffort": "(val)",
    "calendarYearEffort": "(val)",
    "faculty": "(val)",
    "summerEffort": "(val)",
    "totalEffort": "(val)",
    "institutionalProposalContactId": "(val)",
    "creditSplits": [
      {
        "institutionalProposalPersonCreditSplitId": "(val)",
        "credit": "(val)",
        "investigatorCreditType": {
          "code": "(val)",
          "addsToHundred": "(val)",
          "active": "(val)",
          "description": "(val)"
        }
      }
    ],
    "units": [
      {
        "institutionalProposalPersonUnitId": "(val)",
        "leadUnit": "(val)",
        "unitNumber": "(val)",
        "unit": {
          "unitNumber": "(val)",
          "parentUnitNumber": "(val)",
          "organizationId": "(val)",
          "unitName": "(val)",
          "organization": {
            "organizationId": "(val)",
            "organizationName": "(val)",
            "address": "(val)",
            "federalEmployerId": "(val)",
            "dunsNumber": "(val)",
            "uei": "(val)",
            "contact": {
              "rolodexId": "(val)",
              "addressLine1": "(val)",
              "addressLine2": "(val)",
              "addressLine3": "(val)",
              "city": "(val)",
              "comments": "(val)",
              "countryCode": "(val)",
              "county": "(val)",
              "deleteFlag": "(val)",
              "emailAddress": "(val)",
              "faxNumber": "(val)",
              "firstName": "(val)",
              "lastName": "(val)",
              "middleName": "(val)",
              "organization": "(val)",
              "ownedByUnit": "(val)",
              "phoneNumber": "(val)",
              "postalCode": "(val)",
              "prefix": "(val)",
              "sponsorAddressFlag": "(val)",
              "sponsorCode": "(val)",
              "sponsor": {
                "sponsorCode": "(val)",
                "sponsorName": "(val)",
                "acronym": "(val)",
                "nih": "(val)",
                "kcoiPhs": "(val)",
                "sponsorType": {
                  "code": "(val)",
                  "description": "(val)"
                }
              },
              "state": "(val)",
              "suffix": "(val)",
              "title": "(val)",
              "createUser": "(val)",
              "active": "(val)"
            },
            "organizationTypes": [
              {
                "organizationId": "(val)",
                "organizationTypeCode": "(val)",
                "organizationTypeList": {
                  "code": "(val)",
                  "description": "(val)"
                }
              }
            ]
          }
        },
        "creditSplits": [
          {
            "institutionalProposalPersonCreditSplitId": "(val)",
            "credit": "(val)",
            "investigatorCreditType": {
              "code": "(val)",
              "addsToHundred": "(val)",
              "active": "(val)",
              "description": "(val)"
            }
          }
        ]
      }
    ]
  }
]

Get All Institutional Proposal Persons from Document Number
GET/instprop/api/v1/institutional-proposal-document/(documentNumber)/proposal-persons

Example URI

GET /instprop/api/v1/institutional-proposal-document/(documentNumber)/proposal-persons
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "personId": "(val)",
    "roleCode": "(val)",
    "keyPersonRole": "(val)",
    "rolodexId": "(val)",
    "fullName": "(val)",
    "academicYearEffort": "(val)",
    "calendarYearEffort": "(val)",
    "faculty": "(val)",
    "summerEffort": "(val)",
    "totalEffort": "(val)",
    "institutionalProposalContactId": "(val)",
    "creditSplits": [
      {
        "institutionalProposalPersonCreditSplitId": "(val)",
        "credit": "(val)",
        "investigatorCreditType": {
          "code": "(val)",
          "addsToHundred": "(val)",
          "active": "(val)",
          "description": "(val)"
        }
      }
    ],
    "units": [
      {
        "institutionalProposalPersonUnitId": "(val)",
        "leadUnit": "(val)",
        "unitNumber": "(val)",
        "unit": {
          "unitNumber": "(val)",
          "parentUnitNumber": "(val)",
          "organizationId": "(val)",
          "unitName": "(val)",
          "organization": {
            "organizationId": "(val)",
            "organizationName": "(val)",
            "address": "(val)",
            "federalEmployerId": "(val)",
            "dunsNumber": "(val)",
            "uei": "(val)",
            "contact": {
              "rolodexId": "(val)",
              "addressLine1": "(val)",
              "addressLine2": "(val)",
              "addressLine3": "(val)",
              "city": "(val)",
              "comments": "(val)",
              "countryCode": "(val)",
              "county": "(val)",
              "deleteFlag": "(val)",
              "emailAddress": "(val)",
              "faxNumber": "(val)",
              "firstName": "(val)",
              "lastName": "(val)",
              "middleName": "(val)",
              "organization": "(val)",
              "ownedByUnit": "(val)",
              "phoneNumber": "(val)",
              "postalCode": "(val)",
              "prefix": "(val)",
              "sponsorAddressFlag": "(val)",
              "sponsorCode": "(val)",
              "sponsor": {
                "sponsorCode": "(val)",
                "sponsorName": "(val)",
                "acronym": "(val)",
                "nih": "(val)",
                "kcoiPhs": "(val)",
                "sponsorType": {
                  "code": "(val)",
                  "description": "(val)"
                }
              },
              "state": "(val)",
              "suffix": "(val)",
              "title": "(val)",
              "createUser": "(val)",
              "active": "(val)"
            },
            "organizationTypes": [
              {
                "organizationId": "(val)",
                "organizationTypeCode": "(val)",
                "organizationTypeList": {
                  "code": "(val)",
                  "description": "(val)"
                }
              }
            ]
          }
        },
        "creditSplits": [
          {
            "institutionalProposalPersonCreditSplitId": "(val)",
            "credit": "(val)",
            "investigatorCreditType": {
              "code": "(val)",
              "addsToHundred": "(val)",
              "active": "(val)",
              "description": "(val)"
            }
          }
        ]
      }
    ]
  }
]

Delete Institutional Proposal Person
DELETE/instprop/api/v1/institutional-proposal-document/(documentNumber)/proposal-persons/(id)

Example URI

DELETE /instprop/api/v1/institutional-proposal-document/(documentNumber)/proposal-persons/(id)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8

Get Institutional Proposal Person from Document Number
GET/instprop/api/v1/institutional-proposal-document/(documentNumber)/proposal-persons/(id)

Example URI

GET /instprop/api/v1/institutional-proposal-document/(documentNumber)/proposal-persons/(id)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "personId": "(val)",
  "roleCode": "(val)",
  "keyPersonRole": "(val)",
  "rolodexId": "(val)",
  "fullName": "(val)",
  "academicYearEffort": "(val)",
  "calendarYearEffort": "(val)",
  "faculty": "(val)",
  "summerEffort": "(val)",
  "totalEffort": "(val)",
  "institutionalProposalContactId": "(val)",
  "creditSplits": [
    {
      "institutionalProposalPersonCreditSplitId": "(val)",
      "credit": "(val)",
      "investigatorCreditType": {
        "code": "(val)",
        "addsToHundred": "(val)",
        "active": "(val)",
        "description": "(val)"
      }
    }
  ],
  "units": [
    {
      "institutionalProposalPersonUnitId": "(val)",
      "leadUnit": "(val)",
      "unitNumber": "(val)",
      "unit": {
        "unitNumber": "(val)",
        "parentUnitNumber": "(val)",
        "organizationId": "(val)",
        "unitName": "(val)",
        "organization": {
          "organizationId": "(val)",
          "organizationName": "(val)",
          "address": "(val)",
          "federalEmployerId": "(val)",
          "dunsNumber": "(val)",
          "uei": "(val)",
          "contact": {
            "rolodexId": "(val)",
            "addressLine1": "(val)",
            "addressLine2": "(val)",
            "addressLine3": "(val)",
            "city": "(val)",
            "comments": "(val)",
            "countryCode": "(val)",
            "county": "(val)",
            "deleteFlag": "(val)",
            "emailAddress": "(val)",
            "faxNumber": "(val)",
            "firstName": "(val)",
            "lastName": "(val)",
            "middleName": "(val)",
            "organization": "(val)",
            "ownedByUnit": "(val)",
            "phoneNumber": "(val)",
            "postalCode": "(val)",
            "prefix": "(val)",
            "sponsorAddressFlag": "(val)",
            "sponsorCode": "(val)",
            "sponsor": {
              "sponsorCode": "(val)",
              "sponsorName": "(val)",
              "acronym": "(val)",
              "nih": "(val)",
              "kcoiPhs": "(val)",
              "sponsorType": {
                "code": "(val)",
                "description": "(val)"
              }
            },
            "state": "(val)",
            "suffix": "(val)",
            "title": "(val)",
            "createUser": "(val)",
            "active": "(val)"
          },
          "organizationTypes": [
            {
              "organizationId": "(val)",
              "organizationTypeCode": "(val)",
              "organizationTypeList": {
                "code": "(val)",
                "description": "(val)"
              }
            }
          ]
        }
      },
      "creditSplits": [
        {
          "institutionalProposalPersonCreditSplitId": "(val)",
          "credit": "(val)",
          "investigatorCreditType": {
            "code": "(val)",
            "addsToHundred": "(val)",
            "active": "(val)",
            "description": "(val)"
          }
        }
      ]
    }
  ]
}

Route Institutional Proposal Document
PUT/instprop/api/v1/institutional-proposal-document/(documentNumber)

Example URI

PUT /instprop/api/v1/institutional-proposal-document/(documentNumber)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8

Get Institutional Proposal Documents by Criteria
GET/instprop/api/v2/institutional-proposals

Example URI

GET /instprop/api/v2/institutional-proposals
URI Parameters
HideShow
ipNumber
string (optional) 

The Institutional Proposal Number.

activeVersionOnly
boolean (optional) 

Flag to determine if it will only get the active version of the Institutional Proposal. If not present, defaults false.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
    {
        "proposalId": "(val)",
        "proposalNumber": "(val)",
        "sponsorProposalNumber": "(val)",
        "sequenceNumber": "(val)",
        "proposalTypeCode": "(val)",
        "currentAccountNumber": "(val)",
        "title": "(val)",
        "sponsorCode": "(val)",
        "sponsor": {
            "sponsorCode": "(val)",
            "sponsorName": "(val)",
            "acronym": "(val)",
            "nih": "(val)",
            "kcoiPhs": "(val)",
            "sponsorType": {
                "code": "(val)",
                "description": "(val)"
            }
        },
        "rolodexId": "(val)",
        "noticeOfOpportunityCode": "(val)",
        "gradStudHeadcount": "(val)",
        "gradStudPersonMonths": "(val)",
        "typeOfAccount": "(val)",
        "activityTypeCode": "(val)",
        "requestedStartDateInitial": "(val)",
        "requestedStartDateTotal": "(val)",
        "requestedEndDateInitial": "(val)",
        "requestedEndDateTotal": "(val)",
        "fiscalMonth": "(val)",
        "fiscalYear": "(val)",
        "totalDirectCostInitial": "(val)",
        "totalDirectCostTotal": "(val)",
        "totalIndirectCostInitial": "(val)",
        "totalIndirectCostTotal": "(val)",
        "numberOfCopies": "(val)",
        "deadlineDate": "(val)",
        "deadlineTime": "(val)",
        "createTimestamp": "(val)",
        "deadlineType": "(val)",
        "mailBy": "(val)",
        "mailType": "(val)",
        "mailAccountNumber": "(val)",
        "mailDescription": "(val)",
        "subcontractFlag": "(val)",
        "costSharingIndicator": "(val)",
        "idcRateIndicator": "(val)",
        "specialReviewIndicator": "(val)",
        "statusCode": "(val)",
        "unitNumber": "(val)",
        "scienceCodeIndicator": "(val)",
        "nsfSequenceNumber": "(val)",
        "primeSponsorCode": "(val)",
        "primeSponsor": "(val)",
        "initialContractAdmin": "(val)",
        "ipReviewActivityIndicator": "(val)",
        "currentAwardNumber": "(val)",
        "cfdaNumber": "(val)",
        "opportunity": "(val)",
        "awardTypeCode": "(val)",
        "newDescription": "(val)",
        "proposalSequenceStatus": "(val)",
        "instProposalNumber": "(val)",
        "docNbr": "(val)",
        "docStatus": "(val)",
        "documentDescription": "(val)",
        "persons": [
            {
                "personId": "(val)",
                "roleCode": "(val)",
                "keyPersonRole": "(val)",
                "rolodexId": "(val)",
                "fullName": "(val)",
                "academicYearEffort": "(val)",
                "calendarYearEffort": "(val)",
                "faculty": "(val)",
                "summerEffort": "(val)",
                "totalEffort": "(val)",
                "institutionalProposalContactId": "(val)",
                "creditSplits": [
                    {
                        "institutionalProposalPersonCreditSplitId": "(val)",
                        "credit": "(val)",
                        "investigatorCreditType": {
                            "code": "(val)",
                            "addsToHundred": "(val)",
                            "active": "(val)",
                            "description": "(val)"
                        }
                    }
                ],
                "units": [
                    {
                        "institutionalProposalPersonUnitId": "(val)",
                        "leadUnit": "(val)",
                        "unitNumber": "(val)",
                        "unit": {
                            "unitNumber": "(val)",
                            "parentUnitNumber": "(val)",
                            "organizationId": "(val)",
                            "unitName": "(val)",
                            "organization": {
                                "organizationId": "(val)",
                                "organizationName": "(val)",
                                "address": "(val)",
                                "federalEmployerId": "(val)",
                                "dunsNumber": "(val)",
                                "uei": "(val)",
                                "contact": {
                                    "rolodexId": "(val)",
                                    "addressLine1": "(val)",
                                    "addressLine2": "(val)",
                                    "addressLine3": "(val)",
                                    "city": "(val)",
                                    "comments": "(val)",
                                    "countryCode": "(val)",
                                    "county": "(val)",
                                    "deleteFlag": "(val)",
                                    "emailAddress": "(val)",
                                    "faxNumber": "(val)",
                                    "firstName": "(val)",
                                    "lastName": "(val)",
                                    "middleName": "(val)",
                                    "organization": "(val)",
                                    "ownedByUnit": "(val)",
                                    "phoneNumber": "(val)",
                                    "postalCode": "(val)",
                                    "prefix": "(val)",
                                    "sponsorAddressFlag": "(val)",
                                    "sponsorCode": "(val)",
                                    "sponsor": {
                                        "sponsorCode": "(val)",
                                        "sponsorName": "(val)",
                                        "acronym": "(val)",
                                        "nih": "(val)",
                                        "kcoiPhs": "(val)",
                                        "sponsorType": {
                                            "code": "(val)",
                                            "description": "(val)"
                                        }
                                    },
                                    "state": "(val)",
                                    "suffix": "(val)",
                                    "title": "(val)",
                                    "createUser": "(val)",
                                    "active": "(val)"
                                },
                                "organizationTypes": [
                                    {
                                        "organizationId": "(val)",
                                        "organizationTypeCode": "(val)",
                                        "organizationTypeList": {
                                            "code": "(val)",
                                            "description": "(val)"
                                        }
                                    }
                                ]
                            }
                        },
                        "creditSplits": [
                            {
                                "institutionalProposalPersonCreditSplitId": "(val)",
                                "credit": "(val)",
                                "investigatorCreditType": {
                                    "code": "(val)",
                                    "addsToHundred": "(val)",
                                    "active": "(val)",
                                    "description": "(val)"
                                }
                            }
                        ]
                    }
                ]
            }
        ],
        "customData": [
            {
                "customAttributeId": "(val)",
                "value": "(val)"
            }
        ],
        "specialReviews": [
            {
                "specialReviewNumber": "(val)",
                "specialReviewTypeCode": "(val)",
                "approvalTypeCode": "(val)",
                "protocolNumber": "(val)",
                "applicationDate": "(val)",
                "approvalDate": "(val)",
                "expirationDate": "(val)",
                "comments": "(val)",
                "protocolStatus": "(val)"
            }
        ],
        "ipCostShares": [
            {
                "proposalCostShareId": "(val)",
                "projectPeriod": "(val)",
                "costSharePercentage": "(val)",
                "costShareTypeCode": "(val)",
                "sourceAccount": "(val)",
                "amount": "(val)",
                "unitNumber": "(val)"
            }
        ],
        "ipComments": [
            {
                "proposalCommentsId": "(val)",
                "proposalId": "(val)",
                "commentTypeCode": "(val)",
                "comments": "(val)"
            }
        ],
        "IpUnrecoveredFandAs": [
            {
                "proposalUnrecoveredFandAId": "(val)",
                "applicableIndirectcostRate": "(val)",
                "indirectcostRateTypeCode": "(val)",
                "fiscalYear": "(val)",
                "onCampusFlag": "(val)",
                "underrecoveryOfIndirectcost": "(val)",
                "sourceAccount": "(val)"
            }
        ],
        "ipFandAs": [
            {
                "proposalId": "(val)",
                "proposalFandARateId": "(val)",
                "fiscalYear": "(val)",
                "onOffCampusFlag": "(val)",
                "rateClassCode": "(val)",
                "rateTypeCode": "(val)",
                "startDate": "(val)",
                "instituteRate": "(val)",
                "applicableRate": "(val)",
                "activityTypeCode": "(val)",
                "amount": "(val)"
            }
        ],
        "proposalCfdas": [
            {
                "cfdaNumber": "(val)",
                "cfdaDescription": "(val)"
            }
        ],

Indirectcost Rate Types

Get Indirectcost Rate Types by Key
GET/instprop/api/v1/indirectcost-rate-types/(key)

Example URI

GET /instprop/api/v1/indirectcost-rate-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "description": "(val)",
  "indirectcostRateTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Indirectcost Rate Types
GET/instprop/api/v1/indirectcost-rate-types/

Example URI

GET /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Indirectcost Rate Types with Filtering
GET/instprop/api/v1/indirectcost-rate-types/

Example URI

GET /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

indirectcostRateTypeCode
string (optional) 

Indirectcost Rate Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Indirectcost Rate Types
GET/instprop/api/v1/indirectcost-rate-types/

Example URI

GET /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "description",
    "indirectcostRateTypeCode"
  ],
  "primaryKey": "indirectcostRateTypeCode"
}

Get Blueprint API specification for Indirectcost Rate Types
GET/instprop/api/v1/indirectcost-rate-types/

Example URI

GET /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Indirectcost Rate Types.md"
transfer-encoding: chunked

Update Indirectcost Rate Types
PUT/instprop/api/v1/indirectcost-rate-types/(key)

Example URI

PUT /instprop/api/v1/indirectcost-rate-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "description": "(val)",
  "indirectcostRateTypeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Indirectcost Rate Types
PUT/instprop/api/v1/indirectcost-rate-types/

Example URI

PUT /instprop/api/v1/indirectcost-rate-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Indirectcost Rate Types
PATCH/instprop/api/v1/indirectcost-rate-types/(key)

Example URI

PATCH /instprop/api/v1/indirectcost-rate-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "description": "(val)",
  "indirectcostRateTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Indirectcost Rate Types
POST/instprop/api/v1/indirectcost-rate-types/

Example URI

POST /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "description": "(val)",
  "indirectcostRateTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Indirectcost Rate Types
POST/instprop/api/v1/indirectcost-rate-types/

Example URI

POST /instprop/api/v1/indirectcost-rate-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "indirectcostRateTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Indirectcost Rate Types by Key
DELETE/instprop/api/v1/indirectcost-rate-types/(key)

Example URI

DELETE /instprop/api/v1/indirectcost-rate-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Indirectcost Rate Types
DELETE/instprop/api/v1/indirectcost-rate-types/

Example URI

DELETE /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Indirectcost Rate Types with Matching
DELETE/instprop/api/v1/indirectcost-rate-types/

Example URI

DELETE /instprop/api/v1/indirectcost-rate-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

indirectcostRateTypeCode
string (optional) 

Indirectcost Rate Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Institutional Proposal Attachment Types

Get Institutional Proposal Attachment Types by Key
GET/instprop/api/v1/institutional-proposal-attachment-types/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "allowMultiple": "(val)",
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Attachment Types
GET/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Attachment Types with Filtering
GET/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

allowMultiple
string (optional) 

allowMultiple. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.

attachmentTypeCode
string (optional) 

Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Attachment Types
GET/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "allowMultiple",
    "attachmentTypeCode",
    "description"
  ],
  "primaryKey": "attachmentTypeCode"
}

Get Blueprint API specification for Institutional Proposal Attachment Types
GET/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

GET /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Attachment Types.md"
transfer-encoding: chunked

Update Institutional Proposal Attachment Types
PUT/instprop/api/v1/institutional-proposal-attachment-types/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "allowMultiple": "(val)",
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Attachment Types
PUT/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

PUT /instprop/api/v1/institutional-proposal-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Attachment Types
PATCH/instprop/api/v1/institutional-proposal-attachment-types/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-attachment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "allowMultiple": "(val)",
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Attachment Types
POST/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

POST /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "allowMultiple": "(val)",
  "attachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Attachment Types
POST/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

POST /instprop/api/v1/institutional-proposal-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "allowMultiple": "(val)",
    "attachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Attachment Types by Key
DELETE/instprop/api/v1/institutional-proposal-attachment-types/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Attachment Types
DELETE/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Institutional Proposal Attachment Types with Matching
DELETE/instprop/api/v1/institutional-proposal-attachment-types/

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

allowMultiple
string (optional) 

allowMultiple. Maximum length is 1. Validating pattern is ^[\p{Graph}]*$.

attachmentTypeCode
string (optional) 

Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Institutional Proposal Attachments

Get Institutional Proposal Attachments by Key
GET/instprop/api/v1/institutional-proposal-attachments/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "comments": "(val)",
  "contentType": "(val)",
  "documentStatusCode": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Attachments
GET/instprop/api/v1/institutional-proposal-attachments/

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Attachments with Filtering
GET/instprop/api/v1/institutional-proposal-attachments/

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

attachmentNumber
string (optional) 
attachmentTitle
string (optional) 

Description. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

attachmentTypeCode
string (optional) 

Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

comments
string (optional) 

Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

contentType
string (optional) 
documentStatusCode
string (optional) 
fileDataId
string (optional) 
fileName
string (optional) 

Id. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

lastUpdateTimestamp
string (optional) 

The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

lastUpdateUser
string (optional) 

The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

proposalAttachmentId
string (optional) 
proposalId
string (optional) 
proposalNumber
string (optional) 
sequenceNumber
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Attachments
GET/instprop/api/v1/institutional-proposal-attachments/

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "attachmentNumber",
    "attachmentTitle",
    "attachmentTypeCode",
    "comments",
    "contentType",
    "documentStatusCode",
    "fileDataId",
    "fileName",
    "lastUpdateTimestamp",
    "lastUpdateUser",
    "proposalAttachmentId",
    "proposalId",
    "proposalNumber",
    "sequenceNumber"
  ],
  "primaryKey": "proposalAttachmentId"
}

Get Blueprint API specification for Institutional Proposal Attachments
GET/instprop/api/v1/institutional-proposal-attachments/

Example URI

GET /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Attachments.md"
transfer-encoding: chunked

Update Institutional Proposal Attachments
PUT/instprop/api/v1/institutional-proposal-attachments/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "comments": "(val)",
  "contentType": "(val)",
  "documentStatusCode": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Attachments
PUT/instprop/api/v1/institutional-proposal-attachments/

Example URI

PUT /instprop/api/v1/institutional-proposal-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Attachments
PATCH/instprop/api/v1/institutional-proposal-attachments/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "comments": "(val)",
  "contentType": "(val)",
  "documentStatusCode": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Attachments
POST/instprop/api/v1/institutional-proposal-attachments/

Example URI

POST /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "attachmentNumber": "(val)",
  "attachmentTitle": "(val)",
  "attachmentTypeCode": "(val)",
  "comments": "(val)",
  "contentType": "(val)",
  "documentStatusCode": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "proposalAttachmentId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Attachments
POST/instprop/api/v1/institutional-proposal-attachments/

Example URI

POST /instprop/api/v1/institutional-proposal-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentNumber": "(val)",
    "attachmentTitle": "(val)",
    "attachmentTypeCode": "(val)",
    "comments": "(val)",
    "contentType": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "proposalAttachmentId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Attachments by Key
DELETE/instprop/api/v1/institutional-proposal-attachments/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Attachments
DELETE/instprop/api/v1/institutional-proposal-attachments/

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Institutional Proposal Attachments with Matching
DELETE/instprop/api/v1/institutional-proposal-attachments/

Example URI

DELETE /instprop/api/v1/institutional-proposal-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

attachmentNumber
string (optional) 
attachmentTitle
string (optional) 

Description. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

attachmentTypeCode
string (optional) 

Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

comments
string (optional) 

Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

contentType
string (optional) 
documentStatusCode
string (optional) 
fileDataId
string (optional) 
fileName
string (optional) 

Id. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

lastUpdateTimestamp
string (optional) 

The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

lastUpdateUser
string (optional) 

The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

proposalAttachmentId
string (optional) 
proposalId
string (optional) 
proposalNumber
string (optional) 
sequenceNumber
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Institutional Proposal Comments

Get Institutional Proposal Comments by Key
GET/instprop/api/v1/institutional-proposal-comments/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Comments
GET/instprop/api/v1/institutional-proposal-comments/

Example URI

GET /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Comments with Filtering
GET/instprop/api/v1/institutional-proposal-comments/

Example URI

GET /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

commentTypeCode
string (optional) 

Comment Type Code. Maximum length is 22. Validating pattern is ^[A-Za-z0-9-]*$.

comments
string (optional) 

Comments. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

proposalCommentsId
string (optional) 

Proposal Comments Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

proposalId
string (optional) 

Proposal Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Comments
GET/instprop/api/v1/institutional-proposal-comments/

Example URI

GET /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "commentTypeCode",
    "comments",
    "proposalCommentsId",
    "proposalId",
    "proposalNumber",
    "sequenceNumber"
  ],
  "primaryKey": "proposalCommentsId"
}

Get Blueprint API specification for Institutional Proposal Comments
GET/instprop/api/v1/institutional-proposal-comments/

Example URI

GET /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Comments.md"
transfer-encoding: chunked

Update Institutional Proposal Comments
PUT/instprop/api/v1/institutional-proposal-comments/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Comments
PUT/instprop/api/v1/institutional-proposal-comments/

Example URI

PUT /instprop/api/v1/institutional-proposal-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Comments
PATCH/instprop/api/v1/institutional-proposal-comments/(key)

Example URI

PATCH /instprop/api/v1/institutional-proposal-comments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Institutional Proposal Comments
POST/instprop/api/v1/institutional-proposal-comments/

Example URI

POST /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "proposalCommentsId": "(val)",
  "proposalId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Institutional Proposal Comments
POST/instprop/api/v1/institutional-proposal-comments/

Example URI

POST /instprop/api/v1/institutional-proposal-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "proposalCommentsId": "(val)",
    "proposalId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Institutional Proposal Comments by Key
DELETE/instprop/api/v1/institutional-proposal-comments/(key)

Example URI

DELETE /instprop/api/v1/institutional-proposal-comments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Institutional Proposal Comments
DELETE/instprop/api/v1/institutional-proposal-comments/

Example URI

DELETE /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Institutional Proposal Comments with Matching
DELETE/instprop/api/v1/institutional-proposal-comments/

Example URI

DELETE /instprop/api/v1/institutional-proposal-comments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

commentTypeCode
string (optional) 

Comment Type Code. Maximum length is 22. Validating pattern is ^[A-Za-z0-9-]*$.

comments
string (optional) 

Comments. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

proposalCommentsId
string (optional) 

Proposal Comments Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

proposalId
string (optional) 

Proposal Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Institutional Proposal Cost Shares

Get Institutional Proposal Cost Shares by Key
GET/instprop/api/v1/institutional-proposal-cost-shares/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "institutionalProposal.proposalId": "(val)",
  "amount": "(val)",
  "costSharePercentage": "(val)",
  "costShareTypeCode": "(val)",
  "projectPeriod": "(val)",
  "proposalCostShareId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "sourceAccount": "(val)",
  "unitNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Cost Shares
GET/instprop/api/v1/institutional-proposal-cost-shares/

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "institutionalProposal.proposalId": "(val)",
    "amount": "(val)",
    "costSharePercentage": "(val)",
    "costShareTypeCode": "(val)",
    "projectPeriod": "(val)",
    "proposalCostShareId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "sourceAccount": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposal.proposalId": "(val)",
    "amount": "(val)",
    "costSharePercentage": "(val)",
    "costShareTypeCode": "(val)",
    "projectPeriod": "(val)",
    "proposalCostShareId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "sourceAccount": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Cost Shares with Filtering
GET/instprop/api/v1/institutional-proposal-cost-shares/

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

institutionalProposal.proposalId
string (optional) 
amount
string (optional) 

Amount. Maximum length is 12. Validating pattern is ^([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

costSharePercentage
string (optional) 

Cost Share Percentage. Maximum length is 10. Validating pattern is ^([0-9]{0,3}.[0-9]{1,2}|[0-9]{1,3})$.

costShareTypeCode
string (optional) 

Cost Share Type Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

projectPeriod
string (optional) 

Project Period. Maximum length is 4. Validating pattern is ^[A-Za-z0-9]*$.

proposalCostShareId
string (optional) 

Proposal Cost Share Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 22. Validating pattern is ^[0-9]*$.

sourceAccount
string (optional) 

Source Account. Maximum length is 32. Validating pattern is ^[\p{Graph}\p{Space}]*$.

unitNumber
string (optional) 

Unit Number. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "institutionalProposal.proposalId": "(val)",
    "amount": "(val)",
    "costSharePercentage": "(val)",
    "costShareTypeCode": "(val)",
    "projectPeriod": "(val)",
    "proposalCostShareId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "sourceAccount": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposal.proposalId": "(val)",
    "amount": "(val)",
    "costSharePercentage": "(val)",
    "costShareTypeCode": "(val)",
    "projectPeriod": "(val)",
    "proposalCostShareId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "sourceAccount": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Cost Shares
GET/instprop/api/v1/institutional-proposal-cost-shares/

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "institutionalProposal.proposalId",
    "amount",
    "costSharePercentage",
    "costShareTypeCode",
    "projectPeriod",
    "proposalCostShareId",
    "proposalNumber",
    "sequenceNumber",
    "sourceAccount",
    "unitNumber"
  ],
  "primaryKey": "proposalCostShareId"
}

Get Blueprint API specification for Institutional Proposal Cost Shares
GET/instprop/api/v1/institutional-proposal-cost-shares/

Example URI

GET /instprop/api/v1/institutional-proposal-cost-shares/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Cost Shares.md"
transfer-encoding: chunked

Institutional Proposal Custom Data

Get Institutional Proposal Custom Data by Key
GET/instprop/api/v1/institutional-proposal-custom-data/(key)

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "institutionalProposal.proposalId": "(val)",
  "customAttributeId": "(val)",
  "proposalCustomDataId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Get All Institutional Proposal Custom Data
GET/instprop/api/v1/institutional-proposal-custom-data/

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "institutionalProposal.proposalId": "(val)",
    "customAttributeId": "(val)",
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposal.proposalId": "(val)",
    "customAttributeId": "(val)",
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Institutional Proposal Custom Data with Filtering
GET/instprop/api/v1/institutional-proposal-custom-data/

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

institutionalProposal.proposalId
string (optional) 
customAttributeId
string (optional) 

Custom Attribute Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

proposalCustomDataId
string (optional) 

Proposal Custom Data Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 10. Validating pattern is ^[A-Za-z0-9]*$.

sequenceNumber
string (optional) 

Sequence Number. Maximum length is 22. Validating pattern is ^[0-9]*$.

value
string (optional) 

Value. Maximum length is 2000. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "institutionalProposal.proposalId": "(val)",
    "customAttributeId": "(val)",
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposal.proposalId": "(val)",
    "customAttributeId": "(val)",
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Institutional Proposal Custom Data
GET/instprop/api/v1/institutional-proposal-custom-data/

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "institutionalProposal.proposalId",
    "customAttributeId",
    "proposalCustomDataId",
    "proposalNumber",
    "sequenceNumber",
    "value"
  ],
  "primaryKey": "proposalCustomDataId"
}

Get Blueprint API specification for Institutional Proposal Custom Data
GET/instprop/api/v1/institutional-proposal-custom-data/

Example URI

GET /instprop/api/v1/institutional-proposal-custom-data/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Institutional Proposal Custom Data.md"
transfer-encoding: chunked

Update Institutional Proposal Custom Data
PUT/instprop/api/v1/institutional-proposal-custom-data/(key)

Example URI

PUT /instprop/api/v1/institutional-proposal-custom-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "institutionalProposal.proposalId": "(val)",
  "customAttributeId": "(val)",
  "proposalCustomDataId": "(val)",
  "proposalNumber": "(val)",
  "sequenceNumber": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Institutional Proposal Custom Data
PUT/instprop/api/v1/institutional-proposal-custom-data/

Example URI

PUT /instprop/api/v1/institutional-proposal-custom-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "institutionalProposal.proposalId": "(val)",
    "customAttributeId": "(val)",
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "institutionalProposal.proposalId": "(val)",
    "customAttributeId": "(val)",
    "proposalCustomDataId": "(val)",
    "proposalNumber": "(val)",
    "sequenceNumber": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Institutional Proposal Custom Data
PATCH/instprop/api/v1/institutional-proposal-custom-data/(key)

Example URI

[...]
